FLUX 3 Max Keyframes to Video
Integrēt
blackforestlabs/flux-3-max/keyframes-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3-max/keyframes-to-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"keyframes": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"frame_index": 0
}
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/blackforestlabs/flux-3-max/keyframes-to-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"keyframes": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"frame_index": 0
}
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"keyframes": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"frame_index": 0,
},
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/blackforestlabs/flux-3-max/keyframes-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/lv/developers/docs/mcp)
claude mcp add --transport http doitong-models https://vit.doitong.com/api/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "blackforestlabs/flux-3-max/keyframes-to-video",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"keyframes": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"frame_index": 0
}
]
}
}
Izsauciet FLUX 3 Max Keyframes to Video modeli (blackforestlabs/flux-3-max/keyframes-to-video), izmantojot Doitong API. Dokumentācija aģentiem: https://doitong.com/lv/developers/models/blackforestlabs/flux-3-max/keyframes-to-video.md
POST https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3-max/keyframes-to-video?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"keyframes": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"frame_index": 0
}
]
}
Ja atbildes statuss ir "queued" vai "running", periodiski izsauciet GET https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20, līdz tas kļūst par "succeeded"; faili atrodas outputs[].url. POST https://vit.doitong.com/api/v1/quote/blackforestlabs/flux-3-max/keyframes-to-video ar to pašu pamattekstu atgriež precīzu cenu pirms izpildes.
Šis pieprasījums: 0,425 $ 425 API kredīti Izpildīt šajā lapā
Jūsu jaunā API atslēga. Tā tiek parādīta tikai tagad un jau ir ievietota kodā un tālāk esošajā API atslēgas laukā. Glabājiet to noslēpumā: nekad neievietojiet to kodā, kas darbojas pārlūkprogrammā.
Šeit būs jūsu pirmais rezultāts
Izveidojiet pieprasījumu tālāk un izpildiet to ar savu API atslēgu. Izvades tiek kopētas mūsu krātuvē un glabātas mūžīgi vai 7 dienas bez maksas.
Izveidot pieprasījumu
Vadīklas tiek ģenerētas no modeļa shēmas. Kods un cena tiek atjaunināti, kad tos maināt.
/run/blackforestlabs/flux-3-max/keyframes-to-video?wait=20
cena → 0,425 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3-max/keyframes-to-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"keyframes": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"frame_index": 0
}
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/blackforestlabs/flux-3-max/keyframes-to-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"keyframes": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"frame_index": 0
}
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"keyframes": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"frame_index": 0,
},
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/blackforestlabs/flux-3-max/keyframes-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "blackforestlabs/flux-3-max/keyframes-to-video",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"keyframes": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"frame_index": 0
}
]
},
"wait_seconds": 20
}
}
}
Palaist šo pieprasījumu
Jūsu atslēga paliek šajā pārlūkprogrammā: tā tiek nosūtīta tikai uz Doitong API un saglabāta (localStorage) tikai tad, ja atzīmējat Atcerēties. Iegūt API atslēgu
Par FLUX 3 Max Keyframes to Video
Izveido videoklipu, pārvietojoties starp laikā piesaistītiem atslēgkadriem. `keyframes` pieņem 1 līdz 10 attēlus ar unikālām `frame_index` vērtībām, bet `prompt` apraksta kustību. `duration` ir no 5 līdz 20 sekundēm, `resolution` — 720p vai 1080p, bet `aspect_ratio` ietver diapazonu no 21:9 līdz 9:16 vai auto. Pieejami arī `reasoning_level` (low vai high) un `generate_audio`.
Parametri
promptobligāts
keyframesobligāts
keyframes[].image_urlobligāts
keyframes[].frame_indexobligāts
durationneobligāts
resolutionneobligāts
reasoning_levelneobligāts
aspect_rationeobligāts
generate_audioneobligāts
seedneobligāts
Izvade
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "blackforestlabs/flux-3-max/keyframes-to-video",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 425,
"usd": "0.425",
"charged": 425,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"keyframes": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"frame_index": 0
}
]
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200,
"width": 1024,
"height": 768,
"fps": 1.0,
"duration": 5,
"num_frames": 1
},
"seed": 42,
"timings": {}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Izvades lauki
- video
- object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}Modeļa izveidotais video.
- seed
- integerĢenerēšanas laikā izmantotā sēklas vērtība.
- timings
- objectLaika dati, kuros `inference` neietver uzvednes paplašināšanu, dekodēšanu un augšupielādi un mēra tikai video trokšņa samazināšanu modelī sekundēs.
Citi FLUX 3 Max varianti
Vairāk modeļu: Attēls uz video
AI aģentiem: šī lapa Markdown formātā ir pieejama https://doitong.com/lv/developers/models/blackforestlabs/flux-3-max/keyframes-to-video.md. Visi modeļi un ceļveži: https://doitong.com/developers/llms.txt